xine-lib: fb_driver_s Struct Reference

xine-lib 1.2.12

Data Fields
fb_driver_s Struct Reference

## Data Fields
vo_driver_t | vo_driver
int | fd
int | mem_size
uint8_t * | video_mem_base
int | depth
int | bpp
int | bytes_per_pixel
int | total_num_native_buffers
int | used_num_buffers
int | yuv2rgb_mode
int | yuv2rgb_swap
int | yuv2rgb_brightness
int | yuv2rgb_contrast
int | yuv2rgb_saturation
uint8_t * | yuv2rgb_cmap
yuv2rgb_factory_t * | yuv2rgb_factory
vo_overlay_t * | overlay
vo_scale_t | sc
int | fb_bytes_per_line
fb_frame_t * | cur_frame
fb_frame_t * | old_frame
struct fb_var_screeninfo | fb_var
struct fb_fix_screeninfo | fb_fix
int | use_zero_copy
xine_t * | xine
alphablend_t | alphablend_extra_data

## Field Documentation

## ◆ alphablend_extra_data

alphablend_t fb_driver_s::alphablend_extra_data

## ◆ bpp

int fb_driver_s::bpp

## ◆ bytes_per_pixel

int fb_driver_s::bytes_per_pixel

## ◆ cur_frame

fb_frame_t* fb_driver_s::cur_frame

## ◆ depth

int fb_driver_s::depth

## ◆ fb_bytes_per_line

int fb_driver_s::fb_bytes_per_line

## ◆ fb_fix

struct fb_fix_screeninfo fb_driver_s::fb_fix

## ◆ fb_var

struct fb_var_screeninfo fb_driver_s::fb_var

## ◆ fd

int fb_driver_s::fd

## ◆ mem_size

int fb_driver_s::mem_size

## ◆ old_frame

fb_frame_t * fb_driver_s::old_frame

## ◆ overlay

vo_overlay_t* fb_driver_s::overlay

## ◆ sc

vo_scale_t fb_driver_s::sc

## ◆ total_num_native_buffers

int fb_driver_s::total_num_native_buffers

## ◆ use_zero_copy

int fb_driver_s::use_zero_copy

## ◆ used_num_buffers

int fb_driver_s::used_num_buffers

## ◆ video_mem_base

uint8_t* fb_driver_s::video_mem_base

## ◆ vo_driver

vo_driver_t fb_driver_s::vo_driver

## ◆ xine

xine_t* fb_driver_s::xine

## ◆ yuv2rgb_brightness

int fb_driver_s::yuv2rgb_brightness

## ◆ yuv2rgb_cmap

uint8_t* fb_driver_s::yuv2rgb_cmap

## ◆ yuv2rgb_contrast

int fb_driver_s::yuv2rgb_contrast

## ◆ yuv2rgb_factory

yuv2rgb_factory_t* fb_driver_s::yuv2rgb_factory

## ◆ yuv2rgb_mode

int fb_driver_s::yuv2rgb_mode

## ◆ yuv2rgb_saturation

int fb_driver_s::yuv2rgb_saturation

## ◆ yuv2rgb_swap

int fb_driver_s::yuv2rgb_swap

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/video_out_fb.c